Summary:        MRG management web console
Name:           cumin
Version:        0.1.4369
Release:        1%{?dist}
License:        GPL
Group:          System Environment/Libraries
URL:            http://redhat.com/mrg
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python >= 2.4
BuildRequires:  python-devel >= 2.4

Requires:       python >= 2.4
Requires:	postgresql >= 8.1.9
Requires:	postgresql-server >= 8.1.9
Requires:	python-psycopg2 >= 2.0.14
Requires:       python-qmf >= 0.7.946106-13
Requires:       dejavu-lgc-fonts
Requires:       pycairo >= 1.2.0
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts

%description
Cumin is the MRG management web console.  It provides a unified
management interface for the Messaging, Realtime and Grid components
of MRG.

%global cumin_home %{_datadir}/cumin
%global cumin_doc %{_defaultdocdir}/cumin-%{version}
%global cumin_etc %{_sysconfdir}/cumin
%global cumin_log %{_localstatedir}/log/cumin

%prep
%setup -q

%install
rm -rf %{buildroot}

(cd cumin && make install CUMIN_HOME=%{buildroot}%{cumin_home})

# Relocate stuff to linux system locations

install -d %{buildroot}%{_bindir}
install -pm 755 %{buildroot}%{cumin_home}/bin/* %{buildroot}%{_bindir}
rm -rf %{buildroot}%{cumin_home}/bin

install -d %{buildroot}%{cumin_doc}
install -pm 644 %{buildroot}%{cumin_home}/doc/* %{buildroot}%{cumin_doc}
rm -rf %{buildroot}%{cumin_home}/doc

install -d %{buildroot}%{cumin_etc}
install -d %{buildroot}%{_sysconfdir}/rc.d/init.d
install -pm 644 %{buildroot}%{cumin_home}/etc/cumin.* %{buildroot}%{cumin_etc}
install -pm 755 %{buildroot}%{cumin_home}/etc/sysvinit-cumin %{buildroot}%{_sysconfdir}/rc.d/init.d/cumin
rm -rf %{buildroot}%{cumin_home}/etc

install -d %{buildroot}%{cumin_log}
rm -rf %{buildroot}%{cumin_home}/log

%pre
# Create a cumin user

getent group cumin > /dev/null || groupadd -r cumin

getent passwd cumin > /dev/null || \
   useradd -r -g cumin -d %{cumin_home} -s /sbin/nologin \
      -c "Owner of cumin daemons" cumin

%post
if [ $1 -gt 1 ]; then
    # Upgrade config file if necessary

    if fgrep "[main]" %{cumin_etc}/cumin.conf > /dev/null; then
       mv %{cumin_etc}/cumin.conf %{cumin_etc}/cumin.conf.rpmsave
       mv %{cumin_etc}/cumin.conf.rpmnew %{cumin_etc}/cumin.conf
    fi
fi

if [ ! -h %{cumin_home}/log ]; then
    # Link to the system log location

    ln -s %{cumin_log} %{cumin_home}/log  
fi

/sbin/chkconfig --add cumin

%preun
if [ $1 = 0 ]; then
    /sbin/service cumin stop >/dev/null 2>&1
    /sbin/chkconfig --del cumin
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/cumin
%{_bindir}/cumin-admin
%{_bindir}/cumin-admin-test
%{_bindir}/cumin-bench
%{_bindir}/cumin-data
%{_bindir}/cumin-database
%{_bindir}/cumin-web
%{_bindir}/cumin-test
%{_bindir}/cumin-smoke-test
%{cumin_home}
%{cumin_doc}
%attr(-,cumin,cumin) %{cumin_log}
%config(noreplace) %{cumin_etc}/cumin.conf
%config(noreplace) %{cumin_etc}/cumin.crt
%config(noreplace) %{cumin_etc}/cumin.key
%{_sysconfdir}/rc.d/init.d/cumin

%changelog
* Fri Oct  1 2010 Justin Ross <jross@redhat.com> - 0.1.4369-1
- Update to revision 4369
- Require python-psycopg2 >= 2.0.14
- Upgrade the config file if necessary
- Add symlink to system log location
- Add chkconfig and service handling
- Get precise about the python-qmf dependency version
- Fix symlink error in post scriptlet

* Mon Jul 19 2010 Justin Ross <jross@redhat.com> - 0.1.4127-1
- Update to revision 4127
- Tighten qmf dependency

* Thu Jul  8 2010 Justin Ross <jross@redhat.com> - 0.1.4094-1
- Update to revision 4094

* Wed Jun  3 2009 Nuno Santos <nsantos@redhat.com> - 0.1.3413-1
- Update to revision 3413

* Tue Mar 17 2009 Justin Ross <jross@redhat.com> - 0.1.3160-1
- Mark config files noreplace
- Update to revision 3160

* Tue Feb 24 2009 Nuno Santos <nsantos@redhat.com> - 0.1.3137-1
- Update to revision 3137; include vacuumdb cronjob

* Fri Feb 20 2009 Justin Ross <jross@redhat.com> - 0.1.3120-2
- Mark config files as such

* Mon Feb 16 2009 Ernie Allen <eallen@redhat.com> - 0.1.3120-1
- Update to revision 3120

* Mon Feb 16 2009 Ernie Allen <eallen@redhat.com> - 0.1.3113-1
- Update to revision 3113

* Thu Feb  5 2009 Justin Ross <jross@redhat.com> - 0.1.3109-1
- Update to revision 3109

* Tue Jan 27 2009 Justin Ross <jross@redhat.com> - 0.1.3073-1
- Update to revision 3073

* Fri Jan 21 2009 Justin Ross <jross@redhat.com> - 0.1.3037-2
- Add patch for broken job navigation

* Fri Jan  9 2009 Justin Ross <jross@redhat.com> - 0.1.3037-1
- Update to revision 3037

* Sun Dec 21 2008 Justin Ross <jross@redhat.com> - 0.1.3030-1
- Update to revision 3030

* Wed Dec 17 2008 Justin Ross <jross@redhat.com> - 0.1.3021-1
- In the post script, chown cumin log files so upgrades don't break
- Update to revision 3021

* Mon Dec 15 2008 Justin Ross <jross@redhat.com> - 0.1.3002-1
- Update to revision 3002

* Fri Dec 12 2008 Justin Ross <jross@redhat.com> - 0.1.2997-1
- Update to revision 2997

* Thu Dec 11 2008 Justin Ross <jross@redhat.com> - 0.1.2986-1
- Add missing dependency on pycairo
- Update to revision 2986

* Wed Dec 10 2008 Justin Ross <jross@redhat.com> - 0.1.2968-1
- Update to revision 2968
- Alter the user and group add logic to be compatible with scriptlets
  run under bash -e

* Wed Dec  9 2008 Justin Ross <jross@redhat.com> - 0.1.2952-1
- Update to revision 2952
- Add wooly to the set of installed projects

* Wed Nov  5 2008 Justin Ross <jross@redhat.com> - 0.1.2751-1
- Fix the usermod for older installs, and update to revision 2751

* Fri Oct 24 2008 Justin Ross <jross@redhat.com> - 0.1.2690-1
- Add a dep for dejavu-lgc-fonts, required for the charts

* Mon Jul 14 2008 Justin Ross <jross@redhat.com> - 0.1.2181-2
- Modify an existing cumin user's shell to /sbin/nologin

* Mon Jul  8 2008 Justin Ross <jross@redhat.com> - 0.1.2181-1
- Update to revision 2181
- Use /sbin/nologin for the cumin user's shell

* Mon Jun 16 2008 Justin Ross <jross@redhat.com> - 0.1.2155-1
- Update to revision 2155

* Fri Jun 10 2008 Justin Ross <jross@redhat.com> - 0.1.2149-1
- Update to revision 2149

* Fri Jun  9 2008 Justin Ross <jross@redhat.com> - 0.1.2144-1
- Update to revision 2144

* Fri Jun  6 2008 Justin Ross <jross@redhat.com> - 0.1.2141-1
- Update to revision 2141 for rc1
- Fix the license in the spec header

* Fri May 16 2008 Justin Ross <jross@redhat.com> - 0.1.2061-1
- Update to revision 2061 for beta 4

* Fri May 15 2008 Justin Ross <jross@redhat.com> - 0.1.2046-1
- Update to revision 2046 for beta 4

* Fri May 06 2008 Justin Ross <jross@redhat.com> - 0.1.2001-1
- Make cumin user owner of all binaries except sysvinit script

* Fri Apr 25 2008 Justin Ross <jross@redhat.com> - 0.1.1984-2
- Properly set permissions and ownership of the sysvinit script

* Fri Apr 25 2008 Justin Ross <jross@redhat.com> - 0.1.1984-1
- Use new make targets
- Change the version number to include the upstream svn revision
- Use system instance setup tools

* Mon Mar 31 2008 Nuno Santos <nsantos@redhat.com> - 0.1-6
- Create cumin user/group

* Mon Feb 11 2008 Nuno Santos <nsantos@redhat.com> - 0.1-5
- Fix for multiple broker registrations

* Mon Feb 11 2008 Rafael Schloming <rafaels@redhat.com> - 0.1-4
- Bumped for Beta 3 update

* Fri Jan 25 2008 Nuno Santos <nsantos@redhat.com> - 0.1-3
- Workaround to fix charts issue

* Thu Jan 24 2008 Nuno Santos <nsantos@redhat.com> - 0.1-2
- Fix data url in /etc/cumin.conf; work around query divide-by-zero issues
- Add dependency on postgresql-server

* Fri Jan 18 2008 Nuno Santos <nsantos@redhat.com> - 0.1-1
- Initial build.
